SessionDock Developer Docs
Authoritative guides, generated Local API reference, and practical patterns for local automation, scripts, launchers, and AI agents running alongside SessionDock.
Replaces the session tag list. Requires full-automation mode.
/api/v1/sessions/{id}/tagsReplaces the session tag list. Requires full-automation mode.
curl -X PUT 'http://127.0.0.1:18432/api/v1/sessions/session_123/tags' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{
"tags": [
"<string>"
]
}'| Name | In | Type | Required | Description | Example |
|---|---|---|---|---|---|
| id | path | string | Yes | Session identifier. | session_123 |
application/json
{
"tags": [
"<string>"
]
}{
"tags": [
"<string>"
]
}Updated session tags
application/json
{
"data": {
"id": "<string>",
"tags": [
"<string>"
]
}
}{
"data": {
"id": "<string>",
"tags": [
"<string>"
]
}
}Malformed JSON or rejected input.
application/json
{
"error": {
"status": 0,
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"status": 400,
"code": "invalid_json",
"message": "Request body must be valid JSON."
}
}Missing or invalid bearer token.
application/json
{
"error": {
"status": 0,
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"status": 401,
"code": "unauthorized",
"message": "Provide Authorization: Bearer <token>."
}
}Write attempted while Local API is in read-only mode.
application/json
{
"error": {
"status": 0,
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"status": 403,
"code": "read_only",
"message": "Enable Full Automation to perform this action."
}
}No matching resource was found.
application/json
{
"error": {
"status": 0,
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"status": 404,
"code": "not_found",
"message": "session not found"
}
}